{{ ansible_managed | comment }}
# More informations:
# http://docs.grafana.org/installation/configuration
# https://github.com/grafana/grafana/blob/master/conf/sample.ini

app_mode = production
instance_name = {{ grafana_instance_name }}

#################################### Paths ###############################
[paths]
data = {{ grafana_data_dir }}
logs = {{ grafana_logs_dir }}
plugins = {{ grafana_data_dir }}/plugins
; datasources = conf/datasources

#################################### Server ##############################
[server]
protocol = {{ grafana_protocol }}
http_addr = {{ grafana_address }}
http_port = {{ grafana_port }}
domain = '{{ grafana_server.domain }}'
root_url = {{ grafana_server.root_url }}
{% for k,v in grafana_server.items() %}
{%   if not k in ['protocol', 'http_addr', 'http_port', 'domain', 'root_url'] %}
{{ k }} = {{ v }}
{%   endif %}
{% endfor %}

[server.custom_response_headers]
#exampleHeader1 = exampleValue1
#exampleHeader2 = exampleValue2

#################################### GRPC Server #########################
;[grpc_server]
;network = "tcp"
;address = "127.0.0.1:10000"
;use_tls = false
;cert_file =
;key_file =

#################################### Database ####################################
[database]

;type = sqlite3
;host = 127.0.0.1:3306
;name = grafana
;user = root
;password =
;url =
;ssl_mode = disable
;isolation_level =
;ca_cert_path =
;client_key_path =
;client_cert_path =
;server_cert_name =
;path = grafana.db
;max_idle_conn = 2

;max_open_conn =

;conn_max_lifetime = 14400

;log_queries =

;cache_mode = private

;wal = false

;locking_attempt_timeout_sec = 0

;query_retries = 0

;transaction_retries = 5

;instrument_queries = false

################################### Data sources #########################
[datasources]
;datasource_limit = 5000

#################################### Cache server #############################
[remote_cache]
;type = database
;connstr =
; prefix =
;encryption =

#################################### Data proxy ###########################
[dataproxy]
;logging = false
;timeout = 30
;dialTimeout = 10
;keep_alive_seconds = 30
;tls_handshake_timeout_seconds = 10
;expect_continue_timeout_seconds = 1
;max_conns_per_host = 0
;max_idle_connections = 100
;idle_conn_timeout_seconds = 90
;send_user_header = false
;response_limit = 0
;row_limit = 1000000
;user_agent =

#################################### Analytics ####################################
[analytics]
;reporting_enabled = true
;reporting_distributor = grafana-labs
;check_for_updates = true
;check_for_plugin_updates = true
;google_analytics_ua_id =
;google_analytics_4_id =
;google_analytics_4_send_manual_page_views = false
;google_tag_manager_id =
;rudderstack_write_key =
;rudderstack_data_plane_url =
;rudderstack_sdk_url =
;rudderstack_config_url =
;intercom_secret =
;feedback_links_enabled = true

#################################### Security ####################################
[security]
;disable_initial_admin_creation = false
admin_user = {{ grafana_security.admin_user }}
admin_password = {{ grafana_security.admin_password}}
;admin_email = admin@localhost
;secret_key = SW2YcwTIb9zpOOhoPsMm
;encryption_provider = secretKey.v1
;available_encryption_providers =
;disable_gravatar = false
;data_source_proxy_whitelist =
;disable_brute_force_login_protection = false
;cookie_secure = false
;cookie_samesite = lax
;allow_embedding = false
;strict_transport_security = false
;strict_transport_security_max_age_seconds = 86400
;strict_transport_security_preload = false
;strict_transport_security_subdomains = false
;x_content_type_options = true
;x_xss_protection = true
;content_security_policy = false
;content_security_policy_template = """script-src 'self' 'unsafe-eval' 'unsafe-inline' 'strict-dynamic' $NONCE;object-src 'none';font-src 'self';style-src 'self' 'unsafe-inline' blob:;img-src * data:;base-uri 'self';connect-src 'self' grafana.com ws://$ROOT_PATH wss://$ROOT_PATH;manifest-src 'self';media-src 'none';form-action 'self';"""
;content_security_policy_report_only = false
;content_security_policy_report_only_template = """script-src 'self' 'unsafe-eval' 'unsafe-inline' 'strict-dynamic' $NONCE;object-src 'none';font-src 'self';style-src 'self' 'unsafe-inline' blob:;img-src * data:;base-uri 'self';connect-src 'self' grafana.com ws://$ROOT_PATH wss://$ROOT_PATH;manifest-src 'self';media-src 'none';form-action 'self';"""
;angular_support_enabled = true
;csrf_trusted_origins = example.com
;csrf_additional_headers =
;csrf_always_check = false
;disable_frontend_sandbox_for_plugins =

[security.encryption]
;data_keys_cache_ttl = 15m

;data_keys_cache_cleanup_interval = 1m

#################################### Snapshots ###########################
[snapshots]
;enabled = true

;external_enabled = true
;external_snapshot_url = https://snapshots.raintank.io
;external_snapshot_name = Publish to snapshots.raintank.io

;public_mode = false

;snapshot_remove_expired = true

#################################### Dashboards History ##################
[dashboards]
;versions_to_keep = 20

;min_refresh_interval = 5s

;default_home_dashboard_path =

#################################### Users ###############################
[users]
;allow_sign_up = true

;allow_org_create = true

;auto_assign_org = true

;auto_assign_org_id = 1

;auto_assign_org_role = Viewer

;verify_email_enabled = false

;login_hint = email or username
;password_hint = password

;default_theme = dark

;default_language = en-US

;home_page =

;external_manage_link_url =
;external_manage_link_name =
;external_manage_info =

;viewers_can_edit = false

;editors_can_admin = false

;user_invite_max_lifetime_duration = 24h

; hidden_users =

[secretscan]
;enabled = false

;interval = 5m

;base_url = https://secret-scanning.grafana.net

;oncall_url =

;revoke = true

[service_accounts]
; token_expiration_day_limit =

[auth]
;login_cookie_name = grafana_session

;disable_login = false

;login_maximum_inactive_lifetime_duration =

;login_maximum_lifetime_duration =

;token_rotation_interval_minutes = 10

;disable_login_form = false

;disable_signout_menu = false

;signout_redirect_url =

;oauth_auto_login = false

;oauth_state_cookie_max_age = 600

;oauth_skip_org_role_update_sync = false

;api_key_max_seconds_to_live = -1

;sigv4_auth_enabled = false

;sigv4_verbose_logging = false

;azure_auth_enabled = false

; skip_org_role_sync = false

;oauth_allow_insecure_email_lookup = false

#################################### Anonymous Auth ######################
[auth.anonymous]
;enabled = false

;org_name = Main Org.

;org_role = Viewer

;hide_version = false

#################################### GitHub Auth ##########################
[auth.github]
;name = GitHub
;icon = github
;enabled = false
;allow_sign_up = true
;auto_login = false
;client_id = some_id
;client_secret = some_secret
;scopes = user:email,read:org
;auth_url = https://github.com/login/oauth/authorize
;token_url = https://github.com/login/oauth/access_token
;api_url = https://api.github.com/user
;allowed_domains =
;team_ids =
;allowed_organizations =
;role_attribute_path =
;role_attribute_strict = false
;allow_assign_grafana_admin = false
;skip_org_role_sync = false

#################################### GitLab Auth #########################
[auth.gitlab]
;name = GitLab
;icon = gitlab
;enabled = false
;allow_sign_up = true
;auto_login = false
;client_id = some_id
;client_secret = some_secret
;scopes = openid email profile
;auth_url = https://gitlab.com/oauth/authorize
;token_url = https://gitlab.com/oauth/token
;api_url = https://gitlab.com/api/v4
;allowed_domains =
;allowed_groups =
;role_attribute_path =
;role_attribute_strict = false
;allow_assign_grafana_admin = false
;skip_org_role_sync = false
;tls_skip_verify_insecure = false
;tls_client_cert =
;tls_client_key =
;tls_client_ca =
;use_pkce = true

#################################### Google Auth ##########################
[auth.google]
;name = Google
;icon = google
;enabled = false
;allow_sign_up = true
;auto_login = false
;client_id = some_client_id
;client_secret = some_client_secret
;scopes = openid email profile
;auth_url = https://accounts.google.com/o/oauth2/v2/auth
;token_url = https://oauth2.googleapis.com/token
;api_url = https://openidconnect.googleapis.com/v1/userinfo
;allowed_domains =
;hosted_domain =
;skip_org_role_sync = false
;use_pkce = true

#################################### Grafana.com Auth ####################
[auth.grafana_com]
;name = Grafana.com
;icon = grafana
;enabled = false
;allow_sign_up = true
;auto_login = false
;client_id = some_id
;client_secret = some_secret
;scopes = user:email
;allowed_organizations =
;skip_org_role_sync = false

#################################### Azure AD OAuth #######################
[auth.azuread]
;name = Microsoft
;icon = microsoft
;enabled = false
;allow_sign_up = true
;auto_login = false
;client_id = some_client_id
;client_secret = some_client_secret
;scopes = openid email profile
;auth_url = https://login.microsoftonline.com/<tenant-id>/oauth2/v2.0/authorize
;token_url = https://login.microsoftonline.com/<tenant-id>/oauth2/v2.0/token
;allowed_domains =
;allowed_groups =
;allowed_organizations =
;role_attribute_strict = false
;allow_assign_grafana_admin = false
;use_pkce = true
;skip_org_role_sync = false

#################################### Okta OAuth #######################
[auth.okta]
;name = Okta
;enabled = false
;allow_sign_up = true
;auto_login = false
;client_id = some_id
;client_secret = some_secret
;scopes = openid profile email groups
;auth_url = https://<tenant-id>.okta.com/oauth2/v1/authorize
;token_url = https://<tenant-id>.okta.com/oauth2/v1/token
;api_url = https://<tenant-id>.okta.com/oauth2/v1/userinfo
;allowed_domains =
;allowed_groups =
;role_attribute_path =
;role_attribute_strict = false
;allow_assign_grafana_admin = false
;skip_org_role_sync = false
;use_pkce = true

#################################### Generic OAuth ##########################
[auth.generic_oauth]
;enabled = false
;name = OAuth
;allow_sign_up = true
;auto_login = false
;client_id = some_id
;client_secret = some_secret
;scopes = user:email,read:org
;empty_scopes = false
;email_attribute_name = email:primary
;email_attribute_path =
;login_attribute_path =
;name_attribute_path =
;id_token_attribute_name =
;auth_url = https://foo.bar/login/oauth/authorize
;token_url = https://foo.bar/login/oauth/access_token
;api_url = https://foo.bar/user
;teams_url =
;allowed_domains =
;team_ids =
;allowed_organizations =
;role_attribute_path =
;role_attribute_strict = false
;groups_attribute_path =
;team_ids_attribute_path =
;tls_skip_verify_insecure = false
;tls_client_cert =
;tls_client_key =
;tls_client_ca =
;use_pkce = false
;auth_style =
;allow_assign_grafana_admin = false

#################################### Basic Auth ##########################
[auth.basic]
;enabled = true

#################################### Auth Proxy ##########################
[auth.proxy]
;enabled = false
;header_name = X-WEBAUTH-USER
;header_property = username
;auto_sign_up = true
;sync_ttl = 60
;whitelist = 192.168.1.1, 192.168.2.1
;headers = Email:X-User-Email, Name:X-User-Name
;headers_encoded = false
;enable_login_token = false

#################################### Auth JWT ##########################
[auth.jwt]
;enabled = true
;header_name = X-JWT-Assertion
;email_claim = sub
;username_claim = sub
;jwk_set_url = https://foo.bar/.well-known/jwks.json
;jwk_set_file = /path/to/jwks.json
;cache_ttl = 60m
;expect_claims = {"aud": ["foo", "bar"]}
;key_file = /path/to/key/file
;role_attribute_path =
;role_attribute_strict = false
;auto_sign_up = false
;url_login = false
;allow_assign_grafana_admin = false

#################################### Auth LDAP ##########################
[auth.ldap]
;enabled = false
;config_file = /etc/grafana/ldap.toml
;allow_sign_up = true
;skip_org_role_sync = false

;sync_cron = "0 1 * * *"
;active_sync_enabled = true

#################################### AWS ###########################
[aws]
; allowed_auth_providers = default,keys,credentials

; assume_role_enabled = true

; list_metrics_page_limit = 500

; external_id = 

#################################### Azure ###############################
[azure]
;cloud = AzureCloud

;managed_identity_enabled = false

;managed_identity_client_id =

;user_identity_enabled = false

;user_identity_token_url =

;user_identity_client_id =

;user_identity_client_secret =

#################################### Role-based Access Control ###########
[rbac]
;permission_cache = true

#reset_basic_roles = false

#################################### SMTP / Emailing ##########################
[smtp]
;enabled = false
;host = localhost:25
;user =
;password =
;cert_file =
;key_file =
;skip_verify = false
;from_address = admin@grafana.localhost
;from_name = Grafana
;ehlo_identity = dashboard.example.com
;startTLS_policy = NoStartTLS

[emails]
;welcome_email_on_sign_up = false
;templates_pattern = emails/*.html, emails/*.txt
;content_types = text/html

#################################### Logging ##########################
[log]
;mode = console file

;level = info

;filters =

;user_facing_default_error = "please inspect Grafana server log for details"

[log.console]
;level =

;format = console

[log.file]
;level =

;format = text

;log_rotate = true

;max_lines = 1000000

;max_size_shift = 28

;daily_rotate = true

;max_days = 7

[log.syslog]
;level =

;format = text

;network =
;address =

;facility =

;tag =

[log.frontend]
;enabled = false

;custom_endpoint = /log-grafana-javascript-agent

;log_endpoint_requests_per_second_limit = 3

;log_endpoint_burst_limit = 15

;instrumentations_errors_enabled = true

;instrumentations_console_enabled = false

;instrumentations_webvitals_enabled = false

;api_key = testApiKey

#################################### Usage Quotas ########################
[quota]
; enabled = false

#### set quotas to -1 to make unlimited. ####
; org_user = 10

; org_dashboard = 100

; org_data_source = 10

; org_api_key = 10

;org_alert_rule = 100

; user_org = 10

; global_user = -1

; global_org = -1

; global_dashboard = -1

; global_api_key = -1

; global_session = -1

;global_alert_rule = -1

; global_correlations = -1

#################################### Unified Alerting ####################
[unified_alerting]
#Enable the Unified Alerting sub-system and interface. When enabled we'll migrate all of your alert rules and notification channels to the new system. New alert rules will be created and your notification channels will be converted into an Alertmanager configuration. Previous data is preserved to enable backwards compatibility but new data is removed.```
;enabled = true

;disabled_orgs =

;admin_config_poll_interval = 60s

;alertmanager_config_poll_interval = 60s

;ha_redis_address =

;ha_redis_username =

;ha_redis_password =

;ha_redis_db =

;ha_redis_prefix =

;ha_redis_peer_name =

;ha_listen_address = "0.0.0.0:9094"

;ha_advertise_address = ""

;ha_peers = ""

;ha_peer_timeout = "15s"

;ha_label =

;ha_gossip_interval = "200ms"

;ha_push_pull_interval = "60s"

;execute_alerts = true

;evaluation_timeout = 30s

;max_attempts = 3

;min_interval = 10s

[unified_alerting.reserved_labels]
;disabled_labels =

[unified_alerting.state_history]
; enabled = true

; backend = "multiple"

; primary = "loki"

; secondaries = "annotations"

; loki_remote_url = "http://loki:3100"

; loki_remote_read_url = "http://loki-querier:3100"

; loki_remote_write_url = "http://loki-distributor:3100"

; loki_tenant_id = 123

; loki_basic_auth_username = "myuser"

; loki_basic_auth_password = "mypass"

[unified_alerting.state_history.external_labels]
; mylabelkey = mylabelvalue

#################################### Alerting ############################
[alerting]
;enabled = false

;execute_alerts = true

;error_or_timeout = alerting

;nodata_or_nullvalues = no_data

;concurrent_render_limit = 5

;evaluation_timeout_seconds = 30

;notification_timeout_seconds = 30

;max_attempts = 3

;min_interval_seconds = 1

;max_annotation_age =

;max_annotations_to_keep =

#################################### Annotations #########################
[annotations]
;cleanupjob_batchsize = 100

;tags_length = 500

[annotations.dashboard]

;max_age =

;max_annotations_to_keep =

[annotations.api]

;max_age =

;max_annotations_to_keep =

#################################### Explore #############################
[explore]
;enabled = true

#################################### Help #############################
[help]
;enabled = true

#################################### Profile #############################
[profile]
;enabled = true

#################################### News #############################
[news]
; news_feed_enabled = true

#################################### Query #############################
[query]
;concurrent_query_limit =

#################################### Query History #############################
[query_history]
;enabled = true

#################################### Internal Grafana Metrics ##########################
[metrics]
;enabled           = true
;interval_seconds  = 10
;disable_total_stats = false
;total_stats_collector_interval_seconds = 1800

#If both are set, basic auth will be required for the metrics endpoints.
; basic_auth_username =
; basic_auth_password =

[metrics.environment_info]
#exampleLabel1 = exampleValue1
#exampleLabel2 = exampleValue2

[metrics.graphite]
;address =
;prefix = prod.grafana.%(instance_name)s.

#################################### Grafana.com integration  ##########################
[grafana_com]
;url = https://grafana.com
;api_url = https://grafana.com/api

#################################### Distributed tracing ############
[tracing.jaeger]
;address = localhost:6831
;always_included_tag = tag1:value1
;sampler_type = const
;sampler_param = 1
;sampling_server_url =
;zipkin_propagation = false
;disable_shared_zipkin_spans = false

[tracing.opentelemetry]
;custom_attributes = key1:value1,key2:value2

[tracing.opentelemetry.jaeger]
; address = http://localhost:14268/api/traces
; propagation = jaeger

[tracing.opentelemetry.otlp]
; address = localhost:4317
; propagation = w3c

#################################### External image storage ##########################
[external_image_storage]
;provider =

[external_image_storage.s3]
;endpoint =
;path_style_access =
;bucket =
;region =
;path =
;access_key =
;secret_key =

[external_image_storage.webdav]
;url =
;public_url =
;username =
;password =

[external_image_storage.gcs]
;key_file =
;bucket =
;path =

[external_image_storage.azure_blob]
;account_name =
;account_key =
;container_name =
;sas_token_expiration_days =

[external_image_storage.local]

[rendering]
;server_url =
;callback_url =
;renderer_token = -
;concurrent_render_request_limit = 30
;render_key_lifetime = 5m

[panels]
;disable_sanitize_html = false

[plugins]
;enable_alpha = false
;app_tls_skip_verify_insecure = false
;allow_loading_unsigned_plugins =
;plugin_admin_enabled = false
;plugin_admin_external_manage_enabled = false
;plugin_catalog_url = https://grafana.com/grafana/plugins/
;plugin_catalog_hidden_plugins =
;log_backend_requests = false
; public_key_retrieval_disabled = false
; public_key_retrieval_on_startup = false

#################################### Grafana Live ##########################################
[live]
;max_connections = 100

;allowed_origins =

;ha_engine =

;ha_engine_address = "127.0.0.1:6379"

#################################### Grafana Image Renderer Plugin ##########################
[plugin.grafana-image-renderer]
;rendering_timezone =

;rendering_language =

;rendering_viewport_device_scale_factor =

;rendering_ignore_https_errors =

;rendering_verbose_logging =

;rendering_dumpio =

;rendering_args =

;rendering_chrome_bin =

;rendering_mode =

;rendering_clustering_mode =
;rendering_clustering_max_concurrency =
;rendering_clustering_timeout =

;rendering_viewport_max_width =
;rendering_viewport_max_height =
;rendering_viewport_max_device_scale_factor =

;grpc_host =
;grpc_port =

[support_bundles]
#enabled = true
#server_admin_only = true
#public_keys = ""

[enterprise]
;license_path =

[feature_toggles]

;enable = feature1,feature2

;feature1 = true
;feature2 = false

[date_formats]

;full_date = YYYY-MM-DD HH:mm:ss

;interval_second = HH:mm:ss
;interval_minute = HH:mm
;interval_hour = MM/DD HH:mm
;interval_day = MM/DD
;interval_month = YYYY-MM
;interval_year = YYYY

;use_browser_locale = false

;default_timezone = browser

[expressions]
;enabled = true

[geomap]
;default_baselayer_config = `{
;  "type": "xyz",
;  "config": {
;    "attribution": "Open street map",
;    "url": "https://tile.openstreetmap.org/{z}/{x}/{y}.png"
;  }
;}`

;enable_custom_baselayers = true

[navigation.app_sections]

[navigation.app_standalone_pages]

#################################### Secure Socks5 Datasource Proxy #####################################
[secure_socks_datasource_proxy]
; enabled = false
; root_ca_cert =
; client_key =
; client_cert =
; server_name =
; proxy_address =
; show_ui = true

################################## Feature Management ##############################################
[feature_management]
hidden_toggles =
read_only_toggles =
[white_labeling]
;app_title =

;login_title =

;login_subtitle =

;login_logo =

;login_background =

;login_box_background =

;menu_logo =

;fav_icon =

;apple_touch_icon =

;loading_logo =

;hide_edition =

;footer_links = support guides
;footer_links_support_text = Support
;footer_links_support_url = http://your.support.site
;footer_links_guides_text = Guides
;footer_links_guides_url = http://your.guides.site

[white_labeling.public_dashboards]
;footer_hide =
;footer_text =
;footer_logo =
;footer_link =

[usage_insights.export]
; enabled = false
; storage = loki

[usage_insights.export.storage.loki]
; type = grpc
; url = localhost:9095
; tls = true
tenant_id =

[reporting]
;enabled = true
;rendering_timeout = 10s
;concurrent_render_limit = 4
;image_scale_factor = 2
; max_attachment_size_mb = 10
;fonts_path =
;font_regular = DejaVuSansCondensed.ttf
;font_bold = DejaVuSansCondensed-Bold.ttf
;font_italic = DejaVuSansCondensed-Oblique.ttf

[analytics]
;enabled = true

[analytics.summaries]
;buffer_write_interval = 30s
;buffer_write_timeout = 3s
;rollup_interval = 4h
;rollup_timeout = 60s

[analytics.views]
;recent_users_age = 10m

[auditing]
; enabled = false
;loggers = file
;log_dashboard_content = false
;verbose = false
;log_all_status_codes = false
;max_response_size_bytes = 512000

[auditing.logs.file]
;path = data/log
;max_files = 5
;max_file_size_mb = 256

[auditing.logs.loki]
;type = grpc
;url = localhost:9095
;tls = true
;tenant_id =

#################################### SAML Auth ###########################
[auth.saml]
;enabled = false
;single_logout = false
;allow_sign_up = true
;auto_login = false
;certificate =
;certificate_path =
;private_key =
;# Path to the private key. Used to decrypt assertions from the IdP
;private_key_path =
;signature_algorithm =
;idp_metadata =
;idp_metadata_path =
;idp_metadata_url =
;max_issue_delay = 90s
;metadata_valid_duration = 48h
;allow_idp_initiated = false
;relay_state =
;assertion_attribute_name = displayName
;assertion_attribute_login = mail
;assertion_attribute_email = mail
;assertion_attribute_groups = group
;assertion_attribute_role = role
;assertion_attribute_org = organizatio
;allowed_organizations = Engineering, Sales
;org_mapping = Engineering:2, Sales:3
;role_values_editor = editor, developer
;role_values_admin = admin
;role_values_grafana_admin = superadmin
;name_id_format = urn:oasis:names:tc:SAML:2.0:nameid-format:transient

[keystore.vault]
;url =
;namespace =
;auth_method =
;token =
;lease_renewal_interval = 5m
;lease_renewal_expires_within = 15m
;lease_renewal_increment = 1h

[auth.security]
;protected_roles =

[security.egress]
;host_deny_list =
;host_allow_list =

;header_drop_list =
;cookie_drop_list =

[security.encryption]
;algorithm = aes-cfb

[security.encryption.awskms.v1]
;key_id =
;access_key_id =
;secret_access_key =
;region =

[security.encryption.azurekv.v1]
;tenant_id =
;client_id =
;client_secret =
;key_id =
;vault_uri =

[security.encryption.googlekms.v1]
;key_id =
;credentials_file =

[security.encryption.hashicorpvault.v1]
;token =
;url =
;transit_engine_path =
;key_ring =
;token_renewal_interval = 5m


[caching]
; enabled = true
; backend = "memory"
; ttl = 5m
; max_value_mb = 10
; header_filtering = "allowlist"

[caching.encryption]
;enabled = true
;encryption_key = "oH0aaomqRDyd7gkvZTKwsxVwlvFpyhko"

[caching.memory]
; gc_interval = 1m
; max_size_mb = 25

[caching.redis]
; url = "redis://localhost:6379"
; prefix = "grafana"
; cluster =

[caching.memcached]
; servers = "localhost:11211"

[feature_highlights]
enabled = false
